#!/bin/bash

# Usage: ./generate_raw_data_heap.sh [niters]

nitrs=1
if [ "$1" != "" ]; then
    nitrs="$1"
fi

cd ..
mkdir -p prac/data
for itr in $(seq 1 $nitrs); do
    now=`date`; echo "$now: Running heap extract on heapsize of 2^16 ..."
    ./docker/run-experiment 16 96 >> "prac/data/log_16_1_heap.out"
    now=`date`; echo "$now: Running heap extract on heapsize of 2^18 ..."
    ./docker/run-experiment 18 108 >> "prac/data/log_18_1_heap.out"
    now=`date`; echo "$now: Running heap extract on heapsize of 2^20 ..."
    ./docker/run-experiment 20 120 >> "prac/data/log_20_1_heap.out"
    now=`date`; echo "$now: Running heap extract on heapsize of 2^22 ..."
    ./docker/run-experiment 22 132 >> "prac/data/log_22_1_heap.out"
    now=`date`; echo "$now: Running heap extract on heapsize of 2^24 ..."
    ./docker/run-experiment 24 144 >> "prac/data/log_24_1_heap.out"
    now=`date`; echo "$now: Running heap extract on heapsize of 2^26 ..."
    ./docker/run-experiment 26 156 >> "prac/data/log_26_1_heap.out"
    now=`date`; echo "$now: Running heap extract on heapsize of 2^28 ..."
    ./docker/run-experiment 28 168 >> "prac/data/log_28_1_heap.out"
    now=`date`; echo "$now: Running heap extract on heapsize of 2^30 ..."
    ./docker/run-experiment 30 180 >> "prac/data/log_30_1_heap.out"
done
